Bug 212574 - [GTK][WPE][EME] Update WPT and rebaseline
Summary: [GTK][WPE][EME] Update WPT and rebaseline
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Charlie Turner
URL:
Keywords:
Depends on: 212586
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-30 13:52 PDT by Charlie Turner
Modified: 2020-06-06 10:49 PDT (History)
11 users (show)

See Also:


Attachments
Patch (117.06 KB, patch)
2020-05-30 13:56 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff
Patch (117.02 KB, patch)
2020-05-30 14:02 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff
Patch (117.83 KB, patch)
2020-06-05 03:50 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff
Patch (116.79 KB, patch)
2020-06-05 03:59 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff
Patch (116.81 KB, patch)
2020-06-06 10:11 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Turner 2020-05-30 13:52:53 PDT
[GTK][WPE][EME] Update WPT and rebaseline
Comment 1 Charlie Turner 2020-05-30 13:56:57 PDT
Created attachment 400677 [details]
Patch
Comment 2 EWS Watchlist 2020-05-30 13:58:03 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 Charlie Turner 2020-05-30 14:02:08 PDT
Created attachment 400678 [details]
Patch

I don't think I need to do anything to the WPT repo since I am only pulling from them (from a while ago now). I included the EME tests as a feature category of glib TestExpectations. As discussed offline I thought we agreed to organize the file by feature rather than test status
Comment 4 Lauro Moura 2020-05-31 21:07:31 PDT
(In reply to Charlie Turner from comment #3)
> I included the EME tests as a feature
> category of glib TestExpectations. As discussed offline I thought we agreed
> to organize the file by feature rather than test status

Yes, that is still the plan but I had not yet converted it (just submitted in bug212586).
Comment 5 Charlie Turner 2020-06-01 02:59:03 PDT
(In reply to Lauro Moura from comment #4)
> (In reply to Charlie Turner from comment #3)
> > I included the EME tests as a feature
> > category of glib TestExpectations. As discussed offline I thought we agreed
> > to organize the file by feature rather than test status
> 
> Yes, that is still the plan but I had not yet converted it (just submitted
> in bug212586).

I will wait for that to land, thanks for letting me know.
Comment 6 Charlie Turner 2020-06-05 03:50:22 PDT
Created attachment 401138 [details]
Patch
Comment 7 Charlie Turner 2020-06-05 03:59:21 PDT
Created attachment 401139 [details]
Patch
Comment 8 EWS 2020-06-05 04:11:43 PDT
ChangeLog entry in LayoutTests/ChangeLog contains OOPS!.
Comment 9 Charlie Turner 2020-06-06 10:11:47 PDT
Created attachment 401266 [details]
Patch

Manually reset reviewer field. Need to figure out how to fix my workflow to avoid this nuisance
Comment 10 EWS 2020-06-06 10:49:07 PDT
Committed r262689: <https://trac.webkit.org/changeset/262689>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 401266 [details].